
-- 初期化
function Initialize()
	passedTime = 0
	index = 1		-- 配列は1から始まる
	enemyList = {}
	
	local ene = {aptime=0, type="fighter2", pos={x=10, y=20, z=30}, speed=250.0}
	ene["mlist"] = {
		{x=-500.0, y=0.0, z=1000.0},
		{x=   0.0, y=0.0, z= 500.0},
		{x= 100.0, y=0.0, z= 100.0},
		{x= 500.0, y=0.0, z=-100.0}}
	enemyList[1] = ene
end

-- 更新
function Update(elapsedTime)
	-- 出現させる
	if IsStandby() then
		while IsStandby() and (passedTime >= GetNowStandby()["aptime"]) do
			EnemyLaunch()
		end
	else
		cmd.endScript()
	end

	-- 時間経過
	passedTime = passedTime + elapsedTime;
end

function GetNowStandby()
	return enemyList[index]
end

function ToNextStandby()
	index = index + 1
	return IsStandby()
end

function IsStandby()
	return #enemyList >= index
end

function EnemyLaunch()
	local ene = GetNowStandby()

	-- 作成	
	cmd.set(ene["type"])
	-- 位置
	cmd.setPos(ene.pos.x, ene.pos.y, ene.pos.z)
	-- 移動速度
	cmd.setMoveSpeed(ene.speed)
	-- 移動パターン
	mlist = ene["mlist"]
	for i=1, #mlist do
		cmd.addMovePos(mlist[i]["x"], mlist[i]["y"], mlist[i]["z"])
	end
	-- 出撃
	cmd.launch()

	-- 次の敵
	if ToNextStandby() == false then
		cmd.endScript()
	end
end
